 #
# Licensed to Jasig under one or more contributor license
# agreements. See the NOTICE file distributed with this work
# for additional information regarding copyright ownership.
# Jasig licenses this file to you under the Apache License,
# Version 2.0 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a
# copy of the License at:
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on
# an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#

#
# Modify this file to suit your environment.
# The values of these properties will
# override the values of properties of the
# same name in the build.xml file.
#
# Use forward slashes for path names even if
# you are in a Windows environment!
#


#==================== File and Directory Names ========================

##### Replace server.home with the location of Tomcat 6 on your machine #####
# path to tomcat binaries
server.home=@server.home@

# path to tomcat servlet container (defaults to same directory as the tomcat binaries)
server.base=/opt/tomcat-esup

# path to webapps directory (defaults to /webapps under the tomcat path)
server.webapps=${server.base}/webapps

# If the mvn executable isn't on your path you can set the location here or set it on your path.
#maven.home=

######## uPortal Data ######## 

# Use default_entities.location to override the location of data imported by the initdb 
# and/or db-import targets;  required data is imported before entities specified here
#default_entities.location=uportal-war/src/main/data/default_entities

# Use quickstart_entities.location to override the location of data imported by the initdb 
# and/or db-import targets;  required and default data is imported before entities specified here
#quickstart_entities.location=uportal-war/src/main/data/quickstart_entities


######## Deployment Configuration ##########
# The following apply to deployPortletApp, deploy-war, and deploy-ear targets

# Should the deployment tools extract the WARs when copying them into the servlet container 
extractWars=true

# Should the existing webapp be removed before deploying the new webapp
removeExisting=true

# The following applies to the clean and deploy-ear targets.
# Should the shared library location have all existing files removed when clean is run.
# NOTE: Tomcat 6.0 does not include any libraries in shared/lib by default so as long as
#       all required libraries are declared in the uportal-ear it is ok to set this to true.
cleanShared=true

# Prompt the user before running ant tasks that could modify the database
prodPrompt=false
